VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CSlider::Impl Struct Reference

## Public Member Functions
bool | styleHorizontal () const
bool | styleRight () const
bool | styleBottom () const
bool | styleIsInverseStyle () const

## Public Attributes
CPoint | offset
CPoint | offsetHandle
SharedPointer< CBitmap > | pHandle
SharedPointer< CVSTGUITimer > | rampTimer
int32_t | style
CSliderMode | mode {CSliderMode::UseGlobal}
CCoord | widthOfSlider {1}
CCoord | heightOfSlider {1}
CCoord | rangeHandle
CCoord | minTmp
CCoord | maxTmp
CCoord | minPos {0.}
CCoord | widthControl
CCoord | heightControl
CCoord | frameWidth {1.}
float | zoomFactor
int32_t | drawStyle {0}
CColor | frameColor {kGreyCColor}
CColor | backColor {kBlackCColor}
CColor | valueColor {kWhiteCColor}
CCoord | delta
float | oldVal
float | startVal
CButtonState | oldButton
CPoint | mouseStartPoint
CPoint | rampMouseMovePos

## Member Function Documentation

bool styleBottom | ( |  | ) | const
| inline

bool styleHorizontal | ( |  | ) | const
| inline

bool styleIsInverseStyle | ( |  | ) | const
| inline

bool styleRight | ( |  | ) | const
| inline

## Member Data Documentation

CColor backColor {kBlackCColor}

CCoord delta

int32_t drawStyle {0}

CColor frameColor {kGreyCColor}

CCoord frameWidth {1.}

CCoord heightControl

CCoord heightOfSlider {1}

CCoord maxTmp

CCoord minPos {0.}

CCoord minTmp

CSliderMode mode {CSliderMode::UseGlobal}

CPoint mouseStartPoint

CPoint offset

CPoint offsetHandle

CButtonState oldButton

float oldVal

SharedPointer<CBitmap> pHandle

CPoint rampMouseMovePos

SharedPointer<CVSTGUITimer> rampTimer

CCoord rangeHandle

float startVal

int32_t style

CColor valueColor {kWhiteCColor}

CCoord widthControl

CCoord widthOfSlider {1}

float zoomFactor

The documentation for this struct was generated from the following file:

- cslider.cpp